<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE device SYSTEM "hpzsclhn.dtd">
<device>
   <software>
      <file_header>
         <file_name>hpp0470t.xml</file_name>
         <file_version>051.2410</file_version>
         <file_timestamp>05/03/2005</file_timestamp>
      </file_header>
      <component>
         <name>Mombi</name>
         <helper>
            <name></name>
            <events><!--    =========================================    --><!--                DMCInstallTime                   --><!--     called during DMC Install Time (Import)     --><!--    =========================================    -->
          <event>
            <name>DMCInstallTime</name>
            <macro_name>macro_PrintQualityImport</macro_name>
          </event><!--    =========================================    --><!--                DMCUpgradeTime                   --><!--     called during DMC Upgrade Time (Export)     --><!--    =========================================    -->
          <event>
            <name>DMCUpgradeTime</name>
            <macro_name>macro_PrintQualityExport</macro_name>
          </event>
        </events>
        
            <!-- put a name if we have multiple helpers-->
            <features>
            <!-- ========================================= -->
            <!--     Emulate LaserJet Margins              -->
            <!-- ========================================= -->
               <feature>
                <name>HP_Emulate_Margins</name>
                <switch>
                <name>Paper_Dimensions</name>
               <case_default>
                      <data>200_200_200_200</data>
               </case_default>
               </switch>
               </feature>
            <!--  Features are Paper size, Media Type and Print Quality -->
             <!-- =========================================== -->
             <!--                  Paper Size                 -->
             <!-- =========================================== -->
             <feature>
                 <name>PaperSize</name>
                 <macro_name>macro_PaperSize</macro_name>
             </feature>
               <!-- ========================================= -->
               <!--                 MediaType                 -->
               <!-- ========================================= -->
               <feature>
                  <name>MediaType</name>
                  <macro_name>macro_MediaType</macro_name>
               </feature>
               <!-- ========================================= -->
               <!--           Print Quality Group             -->
               <!--   Options are as follows                  -->
               <!--   (a) PQGroup_1 - Best                    -->
               <!--   (b) PQGroup_2 - Normal                  -->
               <!--   (c) PQGroup_3 - FastDraft                    -->
               <!--   (d) PQGroup_4 - Fast Normal             -->
               <!--   (e) PQGroup_5 - HighResMode             -->
               <!-- ========================================= -->
               <feature>
                  <name>PrintQualityGroup</name>
                  <macro_name>macro_PrintQualityGroup</macro_name>
               </feature>
              <feature>
                <name>CustomSize</name>
                <macro_name>macro_custom_size</macro_name>            
              </feature>        
            </features>
            <macros>
            
            <macro>
            <name>macro_pop_up_Photo_BlackOnly</name>
              <title>4326</title>                   
              <string_id>4327</string_id>    
              <butt1>4380</butt1>
              <butt2>4342</butt2>                                                  
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
           
                <macro>
                    <name>macro_pop_up_4800_1200_warning</name>
                    <title>3356</title>
                    <icon>MB_ICONWARNING</icon>
                    <string_id>4657</string_id>
                    <butt1>849</butt1>
                    <message_type>MB_OK</message_type> 
                    <showpopup>MSG_BOX</showpopup>
                </macro>
            
            <macro>
            <name>macro_pop_up_Black_PhotoCartridge</name>
              <title>4324</title>                   
              <string_id>4325</string_id>    
              <butt1>4380</butt1>
              <butt2>4342</butt2>                                                  
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
<!-- ====================    NonHP INK    ========================= -->
            <macro>
            <name>macro_pop_up_Color_NonHP_Ink</name>
              <title>4732</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Black_NonHP_Ink</name>
              <title>4733</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Photo_NonHP_Ink</name>
              <title>4734</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Gray_NonHP_Ink</name>
              <title>4735</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
<!--===========    NonHP Cartridge    ====================== -->
            <macro>       
            <name>macro_pop_up_Color_NonHP_Cartridge</name>
              <title>4736</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Black_NonHP_Cartridge</name>
              <title>4737</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Photo_NonHP_Cartridge</name>
              <title>4738</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Gray_NonHP_Cartridge</name>
              <title>4739</title>                   
              <string_id>4740</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
<!--===============    Used Cartridge  ========================= -->      
            <macro>
            <name>macro_pop_up_Color_Used_Cartridge</name>
              <title>4741</title>                   
              <string_id>4745</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Black_Used_Cartridge</name>
              <title>4742</title>                   
              <string_id>4745</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Photo_Used_Cartridge</name>
              <title>4743</title>                   
              <string_id>4745</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_pop_up_Gray_Used_Cartridge</name>
              <title>4744</title>                   
              <string_id>4745</string_id>    
              <butt1>849</butt1>
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
<!--=================   End OF Smart JobUI   ============================= -->
            <macro>
            <name>macro_pop_up_Borderless_BlkCartridge</name>
              <title>4328</title>                   
              <string_id>4329</string_id>    
              <butt1>849</butt1>                                                                
              <showpopup>MODAL_DLG</showpopup>                     
            </macro>
            <macro>
            <name>macro_PaperSize</name>
            <switch>
              <name>PaperSize</name>
               <case>
                  <name>A6</name>
                  <select_option>MediaType.PLAIN</select_option>
               </case>
               <case>
                  <name>HP_BORDERLESS_HAGAKI_CARD_100x148</name>
                  <select_option>MediaType.PLAIN</select_option>
               </case>
               <case>
                  <name>HAGAKI_CARD</name>
                  <select_option>MediaType.PLAIN</select_option>
               </case>
               <case>
                  <name>INDEX_CARD_4X6</name>
                  <select_option>MediaType.PLAIN</select_option>
               </case>
               <case_default>
                 <select_option>MediaType.HP_PHOTO_PAPER</select_option>
               </case_default>
            </switch>
              <call>macro_MediaType</call>
          </macro>
          <macro>
            <name>macro_Mediatype_to_PaperSize</name>
                 <select_option>PaperSize.4_X_6_IN</select_option>
          </macro>
          <macro>
            <name>macro_custom_paper_size</name>
            <select_option>MediaType.AUTOMATIC</select_option>
          </macro>
               <!-- ========================================= -->
               <!--                 MediaType                 -->
               <!-- ========================================= -->
           <macro>
              <name>macro_MediaType</name>
              <!-- ========================================= -->
              <!-- First macro statement                     -->
              <!-- determines which PQ options are           -->
              <!-- displayed for each media type, and        -->
              <!-- select a default PQ option                -->
              <!-- ========================================= -->
          <switch>
            <name>MediaType</name>
              <case>
                <name>PLAIN</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
                
              </case>
              <case>
                <name>OTHER_PHOTO_PAPER</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
              
              <case>
                <name>HP_PHOTO_PAPER</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
              
              <case>
                <name>HP_PHOTO_CARD</name>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <hide_option>PrintQualityGroup.PQGroup_4</hide_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
                <case_default>
                <enable_option>PrintQualityGroup.PQGroup_1</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_2</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_3</enable_option>
                <enable_option>PrintQualityGroup.PQGroup_5</enable_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
             </case_default>
                  </switch>
                  <!-- ========================================= -->
                  <!-- Second macro statement                    -->
                  <!-- invokes the Print Quality macro           -->
                  <!-- to make selections to Resolution etc      -->
                  <!-- ========================================= -->
                  <call>macro_PrintQualityGroup</call>
               </macro>
               <!-- ========================================= -->
               <!--                 Print Quality             -->
               <!--                                           -->
               <!-- Print Quality macro can be invoked either -->
               <!-- 1. by the Media Type macro, or            -->
               <!-- 2. when the user explicitly selects a PQ  -->
               <!--    setting from the Print Quality control -->
               <!-- ========================================= -->
               <macro>
                  <name>macro_PrintQualityGroup</name>
                  <switch>
                     <name>PrintQualityGroup</name>
                     <case>
                        <name>PQGroup_1</name>
                        <select_option>Resolution.600dpi</select_option>
                        <select_option>PrintQuality.Best</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.On</select_option>
                        <select_option>HPContrast.Off</select_option>
                        <select_option>HPDigitalFlash.Off</select_option>
                        <select_option>HPSharpness.Off</select_option>
                        <select_option>HPSmoothing.Off</select_option>
                        <resource_id>3996</resource_id>
                        <resource_id>3996</resource_id>
                        <resource_id>1008</resource_id>
                     </case>
                     <case>
                        <name>PQGroup_2</name>
                        <select_option>Resolution.600dpi</select_option>
                        <select_option>PrintQuality.Normal</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.Off</select_option>
                        <select_option>HPContrast.On</select_option>
                        <select_option>HPDigitalFlash.On</select_option>
                        <select_option>HPSharpness.On</select_option>
                        <select_option>HPSmoothing.On</select_option>
                        <resource_id>3996</resource_id>
                        <resource_id>3996</resource_id>
                        <resource_id>968</resource_id>
                     </case>
                     <case>
                        <name>PQGroup_3</name>
                        <select_option>Resolution.300dpi</select_option>
                        <select_option>PrintQuality.FastDraft</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.Off</select_option>
                        <select_option>HPContrast.On</select_option>
                        <select_option>HPDigitalFlash.On</select_option>
                        <select_option>HPSharpness.On</select_option>
                        <select_option>HPSmoothing.On</select_option>
                        <resource_id>3995</resource_id>
                        <resource_id>3995</resource_id>
                        <resource_id>968</resource_id>
                     </case>
                    
                     <case>
                        <name>PQGroup_5</name>
                        <select_option>Resolution.1200dpi</select_option>
                        <select_option>PrintQuality.4800x1200</select_option>
                        <select_option>HPRedEyeReduction.Off</select_option>
                        <select_option>HPSmartFocus.On</select_option>
                        <select_option>HPContrast.Off</select_option>
                        <select_option>HPDigitalFlash.Off</select_option>
                        <select_option>HPSharpness.Off</select_option>
                        <resource_id>3997</resource_id>
                        <resource_id>3997</resource_id>
                        <resource_id>3434</resource_id>
                     </case>
                  </switch>
               </macro>
               <!-- ========================================= -->
               <!--    Print Quality Import                   -->
               <!--   Mapping is as follows                   -->
               <!--   (a) Best         - PQGroup_1            -->
               <!--   (b) Normal       - PQGroup_2            -->
               <!--   (c) FastDraft         - PQGroup_3            -->
               <!--   (d) FastNormal   - PQGroup_4            -->
               <!--   (e) HighResMode  - PQGroup_5            -->
               <!-- Print Quality options have single level   -->
               <!-- association only                          -->
               <!-- ========================================= -->
               <macro>
                  <name>macro_PrintQualityImport</name>
                  <switch>
                     <name>PrintQualityImport</name>
                     <case>
                        <name>Best</name>
                        <map_option>PQGroup_1</map_option>
                     </case>
                     <case>
                        <name>Normal</name>
                        <map_option>PQGroup_2</map_option>
                     </case>
                     <case>
                        <name>FastDraft</name>
                        <map_option>PQGroup_3</map_option>
                     </case>
                     
                     <case>
                        <name>4800x1200</name>
                        <map_option>PQGroup_5</map_option>
                     </case>
                  </switch>
                  <call>macro_PrintQualityGroup</call>
               </macro>
               <!-- ========================================= -->
               <!--    Print Quality Export                   -->
               <!--   Mapping is as follows                   -->
               <!--   (a) Best         - PQGroup_1            -->
               <!--   (b) Normal       - PQGroup_2            -->
               <!--   (c) FastDraft         - PQGroup_3            -->
               <!--   (d) FastNormal   - PQGroup_4            -->
               <!--   (e) HighResMode  - PQGroup_5            -->
               <!-- Print Quality options have single level   -->
               <!-- association only                          -->
               <!-- ========================================= -->
               <macro>
                  <name>macro_PrintQualityExport</name>
                  <switch>
                     <name>PrintQualityExport</name>
                     <case>
                        <name>PQGroup_1</name>
                        <unmap_option>Best</unmap_option>
                     </case>
                     <case>
                        <name>PQGroup_2</name>
                        <unmap_option>Normal</unmap_option>
                     </case>
                     <case>
                        <name>PQGroup_3</name>
                        <unmap_option>FastDraft</unmap_option>
                     </case>
                     
                     <case>
                        <name>PQGroup_5</name>
                        <unmap_option>4800x1200</unmap_option>
                     </case>
                  </switch>
               </macro>
              <macro>
                <name>macro_pop_up_CustomPaper</name>
                <title>876</title> 
                <icon>MB_ICONWARNING</icon>
                <string_id>4254</string_id>    
                <message_type>MB_OK</message_type>                                     
                <showpopup>MSG_BOX</showpopup>                     
              </macro>
               <macro>
                <name>macro_pop_up_MinimizeMargin</name>
                <title>876</title> 
                <icon>MB_ICONWARNING</icon>
                <string_id>4213</string_id>    
                <message_type>MB_OKCANCEL</message_type>                                     
                <showpopup>MSG_BOX</showpopup>                     
              </macro>
              
            </macros>
            <presets>
                <presetenglish>
                    <name>Default Print Settings</name> 
                    <resource_id>3041</resource_id> 
                    <setting>PaperSize.4_X_6_IN</setting>
                    <setting>MediaType.HP_PHOTO_PAPER</setting>
                    <setting>PrintQualityGroup.PQGroup_1</setting> 
                    <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                </presetenglish>
                <presetenglish>
                  <name>Borderless photo, 4x6 in,with tab</name> 
                  <resource_id>3396</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN_WT</setting>
                  <setting>TargetSizeChoice.4_X_6_IN_WT</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>


                   </presetenglish>
                <presetenglish>
                  <name>Borderless photo, L size, with tab</name> 
                  <resource_id>3394</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                   <setting>PaperSize.HP_BORDERLESS_PHOTO_L_TEAROFF_TAB</setting>
                   <setting>TargetSizeChoice.L_89x127_WT</setting>
                   <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                 </presetenglish>
                <presetenglish>
                  <name>Borderless photo, 4x6 in</name> 
                  <resource_id>3395</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN</setting>
                  <setting>TargetSizeChoice.4_X_6_IN</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                </presetenglish>
                <presetenglish>
                  <name>Borderless photo, L size</name> 
                  <resource_id>3360</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_L</setting>
                  <setting>TargetSizeChoice.L_89x127</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                   </presetenglish>
                <presetenglish>
                  <name>Hagaki card borderless printing</name> 
                  <resource_id>3367</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                   <setting>PaperSize.HP_BORDERLESS_HAGAKI_CARD_100x148</setting>
                   <setting>TargetSizeChoice.HAGAKI_CARD</setting>
                   <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                   <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>

                </presetenglish>

                 <presetjapanese>
                    <name>Default Print Settings</name> 
                    <resource_id>3041</resource_id> 
                    <setting>PaperSize.4_X_6_IN</setting>
                    <setting>MediaType.HP_PHOTO_PAPER</setting>
                    <setting>PrintQualityGroup.PQGroup_1</setting> 
                    <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                </presetjapanese>
                <presetjapanese>
                  <name>Borderless photo, 4x6 in,with tab</name> 
                  <resource_id>3396</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN_WT</setting>
                  <setting>TargetSizeChoice.4_X_6_IN_WT</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                   </presetjapanese>
                <presetjapanese>
                 <name>Borderless photo, L size, with tab</name> 
                  <resource_id>3394</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                   <setting>PaperSize.HP_BORDERLESS_PHOTO_L_TEAROFF_TAB</setting>
                   <setting>TargetSizeChoice.L_89x127_WT</setting>
                   <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                 </presetjapanese>
                <presetjapanese>
                 
                 <name>Borderless photo, 4x6 in</name> 
                  <resource_id>3395</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_4_X_6_IN</setting>
                  <setting>TargetSizeChoice.4_X_6_IN</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                </presetjapanese>
                <presetjapanese>
                   <name>Borderless photo, L size</name> 
                  <resource_id>3360</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                  <setting>PaperSize.HP_BORDERLESS_PHOTO_L</setting>
                  <setting>TargetSizeChoice.L_89x127</setting>
                  <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                  <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>
                   </presetjapanese>
                <presetjapanese>
                  <name>Hagaki card borderless printing</name> 
                  <resource_id>3367</resource_id> 
                  <setting>MediaType.HP_PHOTO_PAPER</setting> 
                   <setting>PaperSize.HP_BORDERLESS_HAGAKI_CARD_100x148</setting>
                   <setting>TargetSizeChoice.HAGAKI_CARD</setting>
                   <setting>HPBorderLessPhoto.True</setting>
                  <setting>PrintQualityGroup.PQGroup_1</setting> 
                   <setting>PrintQuality.Best</setting>
                  <setting>Resolution.600dpi</setting>

               </presetjapanese>
                           
            </presets>
            <!-- Start - Locale Specific Device Setting defaults =============== -->
            <DeviceSettings>
                <japanesesetting>
                    <setting>DuplexUnit.NotInstalled</setting>
                </japanesesetting>
                <englishsetting>    
                    <setting>DuplexUnit.NotInstalled</setting>
                </englishsetting>   
            </DeviceSettings>
            <!-- End =============== -->
             
 <groups>
          <group>
            <groupname>PaperType</groupname>
            <resource_id>3152</resource_id>
              <name>PLAIN</name>          
              <subgroup>
              <subgroupname>Photo Papers</subgroupname>
              <resource_id>3121</resource_id>
              <name>OTHER_PHOTO_PAPER</name>
              <name>HP_PHOTO_PAPER</name>
              
            </subgroup>
                  
                  <subgroup>
              <subgroupname>Specialty Paper</subgroupname>
              <resource_id>3123</resource_id>
              <name>HP_PHOTO_CARD</name>
              
              </subgroup>                 
           </group>
        </groups>

 
  <DocUISettings>
     
 <DocSetting>
      <name>Photo Printing Borderless</name>
      <resource_id>4274</resource_id>            
      <bitmap_id>279</bitmap_id>

      <DocFeature>
          <name>PrintQuality</name>
          <resource_id>4257</resource_id>
          <help_id>15489</help_id>
          <select_option>Best</select_option>
          

          <DocOption>
            <name>Normal</name>
            <bitmap_id>292</bitmap_id>
          </DocOption>
          <DocOption>
            <name>Best</name>
            <bitmap_id>290</bitmap_id>
          </DocOption>          
    
           <DocOption>
            <name>4800x1200</name>
            <bitmap_id>287</bitmap_id>
          </DocOption>          

      </DocFeature>

      <DocFeature>
          <name>MediaType</name>
          <resource_id>4258</resource_id>
          <help_id>15483</help_id>
          <select_option>HP_PHOTO_PAPER</select_option>

           <DocOption>
             <name>PLAIN</name>
             <bitmap_id>299</bitmap_id>
          </DocOption>          
          <DocOption>
             <name>OTHER_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>    
          <DocOption>
             <name>HP_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>
          
          <DocOption>
             <name>HP_PHOTO_CARD</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>

           
      </DocFeature>

      <DocFeature>
          <name>PaperSize</name>
          <resource_id>4259</resource_id>
          <help_id>15481</help_id>
          
          <!-- Locale Specific paper size defaults =============== -->
          <!-- US - 1, Portugal - 351, Japan - 81  -->          
          <switch>
              <name>LocaleID</name>
              <case>
                  <name>1</name>
                  <select_option>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</select_option>
              </case>
              <case>
                  <name>351</name>
                  <select_option>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</select_option>
              </case>
              <case>
                  <name>81</name>
                  <select_option>HP_BORDERLESS_PHOTO_L</select_option>
              </case>
              <case_default>
                  <select_option>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</select_option>
              </case_default>
          </switch>
          
           <DocOption>
            <name>HP_BORDERLESS_PHOTO_4_X_6_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_10_X_15_CM</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_10_X_15_CM_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
                          
             <DocOption>
            <name>HP_BORDERLESS_PHOTO_5_X_7_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_13_X_18_CM</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_A6</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          
       <DocOption>
            <name>HP_BORDERLESS_PHOTO_L</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>

          <DocOption>
            <name>HP_BORDERLESS_PHOTO_L_TEAROFF_TAB</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_HAGAKI_CARD_100x148</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_PANORAMA_4x12</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_CARD_10_x_20_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_CARD_4_x_8_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>

     </DocFeature>     
      <DocFeature>
          <name>Orientation</name>
          <resource_id>4261</resource_id>
          <help_id>15479</help_id>
          <select_option>LANDSCAPE_CC270</select_option>

           <DocOption>
             <name>PORTRAIT</name>
             <bitmap_id>310</bitmap_id>
          </DocOption>
          <DocOption>
             <name>LANDSCAPE_CC270</name>
             <bitmap_id>312</bitmap_id>
          </DocOption>
      </DocFeature>


      <DocFeature>
          <name>DigitalPhotography</name>
          <resource_id>4858</resource_id>
          <help_id>15478</help_id>
          <select_option>Enabled</select_option>

          <DocOption>
             <name>Enabled</name>
             <bitmap_id>327</bitmap_id>
          </DocOption>
      </DocFeature>
      <DocFeature>
          <name>Copies</name>
          <resource_id>4271</resource_id>
          <help_id>15477</help_id>
          <select_option>1</select_option>

          <DocOption>
             <name>1</name>
             <bitmap_id>368</bitmap_id>
          </DocOption>
      </DocFeature>
    </DocSetting>

<DocSetting>
      <name>Photo Printing-with white borders</name>
      <resource_id>4275</resource_id>            
      <bitmap_id>281</bitmap_id>

      <DocFeature>
          <name>PrintQuality</name>
          <resource_id>4257</resource_id>
          <help_id>15489</help_id>
          <select_option>Best</select_option>
          
          
          <DocOption>
            <name>Normal</name>
            <bitmap_id>292</bitmap_id>
          </DocOption>
          <DocOption>
            <name>Best</name>
            <bitmap_id>290</bitmap_id>
          </DocOption>          
    
           <DocOption>
            <name>4800x1200</name>
            <bitmap_id>287</bitmap_id>
          </DocOption>          

      </DocFeature>

      <DocFeature>
          <name>MediaType</name>
          <resource_id>4258</resource_id>
          <help_id>15483</help_id>
          <select_option>HP_PHOTO_PAPER</select_option>

           <DocOption>
             <name>PLAIN</name>
             <bitmap_id>299</bitmap_id>
          </DocOption>          
          <DocOption>
             <name>OTHER_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>    
          <DocOption>
             <name>HP_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>
           <DocOption>
             <name>HP_PHOTO_CARD</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>
          
         </DocFeature>
       <DocFeature>
          <name>PaperSize</name>
          <resource_id>4259</resource_id>
          <help_id>15481</help_id>
          <select_option>4_X_6_IN</select_option>
             <DocOption>
            <name>4_X_6_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>4_X_6_IN_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>10_X_15</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>10_X_15_CM_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>

          <DocOption>
            <name>PHOTO_4X8_IN_TAB</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>PHOTO_CARD_10_x_20_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>13_X_18_CM</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>5_X_7_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_PANORAMA_4x12_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
           <DocOption>
            <name>A6</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          
                   
          <DocOption>
            <name>INDEX_CARD_4X6</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>

                 
      </DocFeature>      

      <DocFeature>
          <name>Orientation</name>
          <resource_id>4261</resource_id>
          <help_id>15479</help_id>
          <select_option>LANDSCAPE_CC270</select_option>
          <DocOption>
             <name>PORTRAIT</name>
             <bitmap_id>310</bitmap_id>
          </DocOption>   
          
          <DocOption>
             <name>LANDSCAPE_CC270</name>
             <bitmap_id>312</bitmap_id>
          </DocOption>
      </DocFeature>      

        <DocFeature>
          <name>DigitalPhotography</name>
          <resource_id>4858</resource_id>
          <help_id>15478</help_id>
          <select_option>Enabled</select_option>

          <DocOption>
             <name>Enabled</name>
             <bitmap_id>327</bitmap_id>
          </DocOption>
      </DocFeature>
      <DocFeature>
          <name>Copies</name>
          <resource_id>4271</resource_id>
          <help_id>15477</help_id>
          <select_option>1</select_option>

          <DocOption>
             <name>1</name>
             <bitmap_id>368</bitmap_id>
          </DocOption>
      </DocFeature>

                          
    </DocSetting>
    <DocSetting>
      <name>postcard printing</name>
      <resource_id>4280</resource_id>            
      <bitmap_id>819</bitmap_id>
      <DocFeature>
          <name>PrintQuality</name>
          <resource_id>4257</resource_id>
          <help_id>15489</help_id>
          <select_option>Best</select_option>
          <DocOption>
            <name>Draft</name>
            <bitmap_id>295</bitmap_id>
          </DocOption>

           <DocOption>
            <name>Normal</name>
            <bitmap_id>292</bitmap_id>
          </DocOption>
          <DocOption>
            <name>Best</name>
            <bitmap_id>290</bitmap_id>
          </DocOption>  
             <DocOption>
            <name>4800x1200</name>
            <bitmap_id>287</bitmap_id>
          </DocOption>     
      </DocFeature>

      <DocFeature>
          <name>MediaType</name>
          <resource_id>4258</resource_id>
          <help_id>15483</help_id>
          <select_option>HP_PHOTO_PAPER</select_option>

           <DocOption>
             <name>PLAIN</name>
             <bitmap_id>299</bitmap_id>
          </DocOption>          
          <DocOption>
             <name>OTHER_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>    
          <DocOption>
             <name>HP_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>
           <DocOption>
             <name>HP_PHOTO_CARD</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>
          
      </DocFeature>
      <DocFeature>
          <name>PaperSize</name>
          <resource_id>4259</resource_id>
          <help_id>15481</help_id>          
          <select_option>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</select_option>

          <DocOption>
            <name>HP_BORDERLESS_PHOTO_4_X_6_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_10_X_15_CM</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_10_X_15_CM_WT</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_5_X_7_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>5_X_7_IN</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>13_X_18_CM</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_PHOTO_A6</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
        
     </DocFeature>   
            
      <DocFeature>
          <name>Orientation</name>
          <resource_id>4261</resource_id>
          <help_id>15479</help_id>
          <select_option>LANDSCAPE_CC270</select_option>
          <DocOption>
             <name>PORTRAIT</name>
             <bitmap_id>310</bitmap_id>
          </DocOption>
        
          <DocOption>
             <name>LANDSCAPE_CC270</name>
             <bitmap_id>312</bitmap_id>
          </DocOption>
      </DocFeature>
       
       <DocFeature>
          <name>DigitalPhotography</name>
          <resource_id>4858</resource_id>
          <help_id>15478</help_id>
          <select_option>Enabled</select_option>
          <DocOption>
             <name>Enabled</name>
             <bitmap_id>327</bitmap_id>
          </DocOption>
      </DocFeature>
      <DocFeature>
          <name>Copies</name>
          <resource_id>4271</resource_id>
          <help_id>15477</help_id>
          <select_option>1</select_option>

          <DocOption>
             <name>1</name>
             <bitmap_id>368</bitmap_id>
          </DocOption>
      </DocFeature>

    </DocSetting>
    <DocSetting>
      <name>Hagaki Printing</name>
      <resource_id>4279</resource_id>            
      <bitmap_id>838</bitmap_id>
       <DocFeature>
          <name>PrintQuality</name>
          <resource_id>4257</resource_id>
          <help_id>15489</help_id>
          <select_option>Best</select_option>
          <DocOption>
            <name>Draft</name>
            <bitmap_id>295</bitmap_id>
          </DocOption>

           <DocOption>
            <name>Normal</name>
            <bitmap_id>292</bitmap_id>
          </DocOption>
          <DocOption>
            <name>Best</name>
            <bitmap_id>290</bitmap_id>
          </DocOption>  
             <DocOption>
            <name>4800x1200</name>
            <bitmap_id>287</bitmap_id>
          </DocOption>     
      </DocFeature>

      <DocFeature>
          <name>MediaType</name>
          <resource_id>4258</resource_id>
          <help_id>15483</help_id>
          <select_option>PLAIN</select_option>

           <DocOption>
             <name>PLAIN</name>
             <bitmap_id>299</bitmap_id>
          </DocOption>          
          <DocOption>
             <name>OTHER_PHOTO_PAPER</name>
             <bitmap_id>301</bitmap_id>
          </DocOption>    
          
      </DocFeature>
      <DocFeature>
          <name>PaperSize</name>
          <resource_id>4259</resource_id>
          <help_id>15481</help_id>          
          <select_option>HP_BORDERLESS_HAGAKI_CARD_100x148</select_option>

          <DocOption>
            <name>HAGAKI_CARD</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
          <DocOption>
            <name>HP_BORDERLESS_HAGAKI_CARD_100x148</name>
            <bitmap_id>306</bitmap_id>
          </DocOption>
                
     </DocFeature>  
     
     <DocFeature>
          <name>Orientation</name>
          <resource_id>4261</resource_id>
          <help_id>15479</help_id>
          <select_option>PORTRAIT</select_option>

        
          <DocOption>
             <name>PORTRAIT</name>
             <bitmap_id>310</bitmap_id>
          </DocOption>
          <DocOption>
             <name>LANDSCAPE_CC270</name>
             <bitmap_id>312</bitmap_id>
          </DocOption>
      </DocFeature> 
      <DocFeature>
          <name>DigitalPhotography</name>
          <resource_id>4858</resource_id>
          <help_id>15478</help_id>
          <select_option>Enabled</select_option>
          <DocOption>
             <name>Enabled</name>
             <bitmap_id>327</bitmap_id>
          </DocOption>
      </DocFeature>
      <DocFeature>
          <name>Copies</name>
          <resource_id>4271</resource_id>
          <help_id>15477</help_id>
          <select_option>1</select_option>

          <DocOption>
             <name>1</name>
             <bitmap_id>368</bitmap_id>
          </DocOption>
      </DocFeature>

    </DocSetting>
     </DocUISettings>
      
      <BorderlessSettings>
                                      
        <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_4_X_6_IN</Borderless_Paper>
               <Paper>4_X_6_IN</Paper>
               <Overspray_Left>0.07</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_4_X_6_IN_WT</Borderless_Paper>
               <Paper>4_X_6_IN_WT</Paper>
               <Overspray_Left>0.07</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         
         <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_10_X_15_CM</Borderless_Paper>
               <Paper>10_X_15</Paper>
               <Overspray_Left>0.07</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
               <Borderless_Paper>HP_BORDERLESS_PHOTO_10_X_15_CM_WT</Borderless_Paper>
               <Paper>10_X_15_CM_WT</Paper>
              <Overspray_Left>0.07</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
        
           
           
        <Borderless>
            <Borderless_Paper>HP_BORDERLESS_HAGAKI_CARD_100x148</Borderless_Paper>
            <Paper>HAGAKI_CARD</Paper>
            <Overspray_Left>0.07</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>

 
     
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_L</Borderless_Paper>
            <Paper>L_89x127</Paper>
            <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
     
     <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_A6</Borderless_Paper>
            <Paper>A6</Paper>
            <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
       
        <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_L_TEAROFF_TAB</Borderless_Paper>
            <Paper>L_89x127_WT</Paper>
            <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_PANORAMA_4x12</Borderless_Paper>
            <Paper>HP_PANORAMA_4x12_IN</Paper>
            <Overspray_Left>0.06</Overspray_Left>
               <Overspray_Right>0.07</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.076</Overspray_Bottom>
         </Borderless>
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_13_X_18_CM</Borderless_Paper>
            <Paper>13_X_18_CM</Paper>
           <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_5_X_7_IN</Borderless_Paper>
            <Paper>5_X_7_IN</Paper>
            <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_2L</Borderless_Paper>
            <Paper>2L</Paper>
            <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_2L_TAB</Borderless_Paper>
            <Paper>2L_WT</Paper>
            <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_PHOTO_PANORAMA_10x30</Borderless_Paper>
               <Overspray_Left>0.06</Overspray_Left>
               <Overspray_Right>0.07</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.076</Overspray_Bottom>
         </Borderless>

         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_CARD_4_x_8_WT</Borderless_Paper>
                <Paper>PHOTO_4X8_IN_TAB</Paper>
               <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>

         <Borderless>
            <Borderless_Paper>HP_BORDERLESS_CARD_10_x_20_WT</Borderless_Paper>
                 <Paper>PHOTO_CARD_10_x_20_WT</Paper>
               <Overspray_Left>0.05</Overspray_Left>
               <Overspray_Right>0.05</Overspray_Right>
               <Overspray_Top>0.04</Overspray_Top>
               <Overspray_Bottom>0.067</Overspray_Bottom>
         </Borderless>
      </BorderlessSettings>

<JobUIEventInfo>
            <JobUIEvent>
                    <Name>JOBID_AUTODUPLEX_UNIT</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckAutoDuplexerUnit</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_ BLACKPRINT_PHOTOCARTRIDGE</Name>
                    <EntryPoint>E_NEXTBAND</EntryPoint>
                    <FunctionPtr>pfnCheckBlackPrintWithOnlyPhotoCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_ PHOTOMEDIA_BLACKCARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoMediaWithOnlyBlackCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_ BORDERLESS_BLACKCARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBorderlessWithOnlyBlackCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_COLOR_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckColorNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACK_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBlackNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTO_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_GRAY_NONHP_INK</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckGrayNonHpInk</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_COLOR_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckColorNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACK_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBlackNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTO_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_GRAY_NONHP_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckGrayNonHpCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_COLOR_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckColorUsedCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_BLACK_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckBlackUsedCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_PHOTO_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckPhotoUsedCartridge</FunctionPtr>
            </JobUIEvent>
            <JobUIEvent>
                    <Name>JOBID_GRAY_USED_CARTRIDGE</Name>
                    <EntryPoint>E_STARTDOC</EntryPoint>
                    <FunctionPtr>pfnCheckGrayUsedCartridge</FunctionPtr>
            </JobUIEvent>
        </JobUIEventInfo>

   </helper>
  </component>
  </software>
</device>













